import { DailyCardPropType } from "@/types/types"
import WeatherIcon from "../WeatherIcon"
import DailyTemp from "./DailyTemp"
import DailyTime from "./DailyTime";

export default function DailyCard(props: DailyCardPropType) {
    const time = props.time;
    const weatherCode = props.weatherCode
    const temperature = props.temperature
    return (
        <div className="min-w-28 m-1 p-2 text-center shadow-md border-slate-200 border-2 rounded">
            <WeatherIcon weatherCode={weatherCode}/>
            <DailyTemp temperature={temperature} />
            <DailyTime time={time} />
        </div>
    )
};